Launching pymol crashes compiz with Nvidia driver

Bug #743117 reported by Chad A. Davis on 2011-03-26
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
compiz (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: compiz

Fresh install of natty-desktop-amd64+mac (ISO from 2011-03-23) on MacBook Pro (6.2) with GeForce GT 330M/PCI/SSE2.
Packages up-to-date (as of 2011-03-26 13:30 UTC).
Installed nvidia-current via Jockey.
Installed pymol.
Launched pymol from the command line, crashes compiz, on every launch. Same behavior when launched from dash. Compiz restarts automatically. Pymol continues to run. However, activating any of the menus in pymol also causes compiz to crash, for every menu.

I tried to capture stderr and stdout from compiz, but didn't find any clues. I tried to get a gdb backtrace (attached), but may have not managed to get the debug symbols correctly. Let me know if I should do this differently. I can recreate the crash easily.

compiz:
  Installed: 1:0.9.4git20110322-0ubuntu5
  Candidate: 1:0.9.4git20110322-0ubuntu5
  Version table:
 *** 1:0.9.4git20110322-0ubuntu5 0
        500 http://de.archive.ubuntu.com/ubuntu/ natty/main amd64 Packages
        100 /var/lib/dpkg/status

pymol:
  Installed: 1.2r2-1.1build1
  Candidate: 1.2r2-1.1build1
  Version table:
 *** 1.2r2-1.1build1 0
        500 http://de.archive.ubuntu.com/ubuntu/ natty/universe amd64 Packages
        100 /var/lib/dpkg/status

nvidia-current:
  Installed: 270.30-0ubuntu3
  Candidate: 270.30-0ubuntu3
  Version table:
 *** 270.30-0ubuntu3 0
        500 http://de.archive.ubuntu.com/ubuntu/ natty/restricted amd64 Packages
        100 /var/lib/dpkg/status

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: compiz 1:0.9.4git20110322-0ubuntu5
ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38
Uname: Linux 2.6.38-7-generic x86_64
NonfreeKernelModules: nvidia wl
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 270.30 Fri Feb 25 14:34:55 PST 2011
 GCC version: gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-7ubuntu1)
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
CompositorRunning: compiz
Date: Sat Mar 26 14:29:51 2011
DistUpgraded: Log time: 2011-03-26 01:04:52.042154
DistroCodename: natty
DistroVariant: ubuntu
DkmsStatus:
 bcmwl, 5.100.82.38+bdcom, 2.6.38-7-generic, x86_64: installed
 nvidia-current, 270.30, 2.6.38-7-generic, x86_64: installed
GraphicsCard:
 nVidia Corporation GT216 [GeForce GT 330M] [10de:0a29] (rev a2) (prog-if 00 [VGA controller])
   Subsystem: Apple Computer Inc. Device [106b:00c7]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64+mac (20110323)
InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64+mac (20110323)
JockeyStatus:
 kmod:wl - Broadcom STA wireless driver (Proprietary, Enabled, In use) [auto-install]
 xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, In use)
MachineType: Apple Inc. MacBookPro6,2
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-7-generic root=UUID=a4b0a481-4097-471f-9aa0-717f93b9425c ro quiet splash vt.handoff=7
ProcVersionSignature_: Ubuntu 2.6.38-7.39-generic 2.6.38
Renderer: Unknown
SourcePackage: compiz
UpgradeStatus: Upgraded to natty on 2011-03-26 (0 days ago)
dmi.bios.date: 07/26/10
dmi.bios.vendor: Apple Inc.
dmi.bios.version: MBP61.88Z.0057.B0C.1007261552
dmi.board.asset.tag: Base Board Asset Tag#
dmi.board.name: Mac-F22586C8
dmi.board.vendor: Apple Inc.
dmi.board.version: MacBookPro6,2
dmi.chassis.type: 10
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-F22586C8
dmi.modalias: dmi:bvnAppleInc.:bvrMBP61.88Z.0057.B0C.1007261552:bd07/26/10:svnAppleInc.:pnMacBookPro6,2:pvr1.0:rvnAppleInc.:rnMac-F22586C8:rvrMacBookPro6,2:cvnAppleInc.:ct10:cvrMac-F22586C8:
dmi.product.name: MacBookPro6,2
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.
version.compiz: compiz 1:0.9.4git20110322-0ubuntu5
version.libdrm2: libdrm2 2.4.23-1ubuntu5
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg: xserver-xorg 1:7.6~3ubuntu11
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu6

Chad A. Davis (chadadavis) wrote :
Omer Akram (om26er) wrote :

Could you please install the debug symbols of compiz, nux and unity and then try to get a backtrace?

Changed in compiz (Ubuntu):
importance: Undecided → Medium
status: New → Incomplete
Chad A. Davis (chadadavis) wrote :

Yes, I will, but there doesn't seem to be a -dbgsym for the current unity at the moment. Actually, these version numbers don't make sense to me. How can the -dbgsym be several versions newer?

unity:
  Installed: 3.6.8-0ubuntu3
  Candidate: 3.6.8-0ubuntu3
  Version table:
 *** 3.6.8-0ubuntu3 0
        500 http://de.archive.ubuntu.com/ubuntu/ natty/main amd64 Packages
        100 /var/lib/dpkg/status

But then:

unity-dbgsym:
  Installed: (none)
  Candidate: 3.8.2-0ubuntu1
  Version table:
     3.8.2-0ubuntu1 0
        500 http://ddebs.ubuntu.com/ natty/main amd64 Packages

Chad A. Davis (chadadavis) wrote :

I found an installed these symbols instead. Let me know if I need something else:

compiz-core-dbgsym
libnux-0.9-0-dbgsym
compiz-gnome-dbgsym
unity-place-files-dbgsym
unity-place-applications-dbgsym

I looks like I got the debug symbols in the backtrace this time. All I did was launch 'pymol' from a console to repeat the crash.

Chad A. Davis (chadadavis) wrote :

The crash also occurs on "Ubuntu Classic" desktop (without unity).

It does not occur on "Ubuntu Classic (no effects)" desktop (without compiz).

Chad A. Davis (chadadavis) wrote :

This is now fixed with:

compiz:
  Installed: 1:0.9.4+bzr20110407-0ubuntu2
pymol:
  Installed: 1.2r2-1.1build1

Changed in compiz (Ubuntu):
status: Incomplete → Fix Released
Chad A. Davis (chadadavis) wrote :

Tested that this works both with fglrx 2:8.840-0ubuntu1 and with nvidia-common 0.2.30

To post a comment you must log in.